Page MenuHomePhabricator

Browsing through previous/next images should not change the back button function
Closed, DuplicatePublic

Description

This was reported by an editor using Firefox 27.0.1 on a Windows 8.1

When you start using the previous and next tabs to load new images in Media Viewer, it has the effect of breaking your Back button in the browser. Back no longer returns you to the page immediate to opening Media Viewer, but instead cycles through all the old loaded images to return to the previous page. This should be avoided if possible for a better user experience.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=62266
https://bugzilla.wikimedia.org/show_bug.cgi?id=62274

Details

Reference
bz62167

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz62167.
bzimport added a subscriber: Unknown Object (MLST).
Keegan created this task.Mar 3 2014, 9:51 PM

nbmatt wrote:

I'm experiencing a similar problem, only instead of cycling through previous images it will go back to the initial article and trying to go back further does nothing. Long/right-clicking the back button and selecting a previous page still works as expected.

This is occurring in Google Chrome v.33.0.1750.146 on OS X 10.9.2.

Tgr added a comment.Mar 5 2014, 7:54 PM

Nik: that sounds like a different issue and more serious (possibly the popstate handler is not cleaned up and interferes with the navigation even after the viewer has been closed). Could you open a new bug and give exact steps to reproduce?

Keegan added a comment.Mar 5 2014, 9:30 PM

62274 is Nik's bug.

nbmatt wrote:

(In reply to Keegan Peterzell from comment #3)

62274 is Nik's bug.

My apologies, I've been super busy and hadn't have time to add the bug myself. I should note that the behavior seems to have stopped yesterday and now works exactly like one would expect. Also digging the post-loading of the image after the modal window opens.

Keegan added a comment.Mar 8 2014, 6:26 AM

No problem at all, Nik. You pointed out a high importance bug that was wrapped in with two other bugs. I was was organizing them so I went ahead and filed it and cc'd you. Thanks for bringing it up, glad that it's fixed now and that you're enjoying the new loading sequence.

Gilles triaged this task as Low priority.Nov 24 2014, 2:50 PM
Gilles added a subscriber: Gilles.